#!/usr/bin/env perl
#
# @author Larry Teng, UTCSR
# @version 2007-10-15
########################################################################


use strict;
use File::Basename;

use subs qw(usage);

# Call usage() if there is no input argument.
usage if ($#ARGV == -1);

# Loop over the input arguments to process each path name.
foreach (@ARGV) {
    my ($base, $dir, $suffix) = fileparse($_, qr/\.[^.]*/);
    $dir = substr($dir, 0, -1);
    my $dir0 = basename($dir);
    
    #if ($dir0 eq 'Pictures') {
    if (1) {
        # Rename the file to lowercase JPG!
	my @names = split(/\./, $base);
        my $org_name = $base.$suffix;
        my $lc_base = $base.lc($suffix);
	$lc_base = $names[0].".tn.jpg";
    
        print "mv $dir/$org_name $dir/$lc_base"."\n";
        `mv "$dir"/$org_name "$dir"/$lc_base`;

    }
}

exit 0;
# END ##########

#
# Subroutines
#

# Usage()
#--------
# Displays how to use this script.
sub usage {
    print "USAGE: ".__FILE__." <files>\n";
    exit 1;
}
